EDIT - bug #10313

Default color of terms is not shown correctly in dataportal maps
04/29/2023 09:44 AM - Andreas Mdller

Status: New Start date:
Description

NoK:

fallt mir gerade mal wieder auf: Die Farben firr die Status native und present sind nicht zu unterscheiden:
https://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/55309c20-e883-4ed9-bc8b-c85t56074e72 (Sachalin is "present”)

AM:

stimmt, die sind sehr &hnlich.

Eigentlich sollte man das im TaxEditor unter Windows/Extras-Terms-Voabulary-DistributionStatus und das Auswahlt des Terms mit
Color im Details View einstellen konnen, was die default Farbe ist fir den jeweiligen Status. Ich habe das fir ,present mal zeitweise
auf rot gestellt, aber ohne Erfolg (auch nach CDM Server neustart). Auch fir native wird das derzeitig eingestellte gelb auf den
Karten nicht angezeigt.

Der Wert scheint also nicht richtig ausgelesen zu werden.

Eine weitere Méglichkeit, die Farben der Status im Portal einzustellen ist im Admin Bereich des Portals unter

https://cichorieae.e-taxonomy.net/portal/admin/config/cdm_dataportal/settings/layout/taxon und dann unter Taxon profile und dann
ganz unten unter ,Custom status colors®. Dort habe ich jetzt mal {"p":"#00ff00"}

eingetragen. Es wird also reines griin angezeigt. Das scheint auch zu funktionieren, ist aber die weniger schéne Variante.

I make this a cdmlib issue for now as it is unclear if the problem is in DistributionInfo generation or on dataportal side.

It looks like the default color from term initialization is taken, not the one persisted with the term.
The same problem also exists for the maps in the TaxEditor, so it does not seem to be a dataportal issue.

after fixing this ticket reset settings in dataportal settings. Also make sure that colors in all dataportals are still the same as they
currently are.

Related issues:
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress

History

#1 - 04/29/2023 10:02 AM - Andreas Miiller

- Description updated

#2 - 04/29/2023 10:09 AM - Andreas Miiller

- Description updated

#3 - 05/29/2023 04:45 PM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#4 - 03/05/2024 12:53 PM - Andreas Miller

- Target version changed from Release 5.44 to Release 5.43
